> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Login Social



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json post /v2/login/social
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/login/social:
    post:
      tags:
        - auth
      summary: Login Social
      operationId: login_social_v2_login_social_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SocialLoginRequest'
              examples:
                - id_token: token1234
                  provider: google
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Token'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SocialLoginRequest:
      properties:
        id_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Id Token
        access_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Access Token
        provider:
          $ref: '#/components/schemas/SocialProvider'
      type: object
      required:
        - provider
      title: SocialLoginRequest
    Token:
      properties:
        access_token:
          type: string
          title: Access Token
        token_type:
          type: string
          title: Token Type
          default: bearer
      type: object
      required:
        - access_token
      title: Token
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SocialProvider:
      type: string
      enum:
        - google
        - github
        - okta
        - azure-ad
        - custom
        - saml
      title: SocialProvider
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````